import { Dispatch, SetStateAction } from 'react';
import { RN } from 'rnjs';
export declare const useStream: <T>(source$: RN<T>) => RN<T>;
export declare const useDataStream: <T>(source$: RN<T>) => RN<T>;
export declare const useStreamEffect: <T>(source$: RN<T>, subscriptionFn: (v: T) => void, runWithFirstValue?: boolean) => void;
export declare const useStreamValue: <T>(source$: RN<T>, runWithFirstValue?: boolean) => T;
export declare const useStateAsStream: <T>(initialState: T) => [RN<T>, (v: T) => void];
export declare const useEventAsStream: () => [RN<void>, () => void];
export declare const useChangeValueEffect: <T>(input: T, callback: (v: T) => any, deps?: any[] | undefined) => void;
export declare const useValueAsStream: <T>(value: T) => RN<T>;
export declare const useStateWithResetter: <T>(initialState: T | (() => T)) => [T, Dispatch<SetStateAction<T>>, () => void];
export declare const useStateAsStreamWithResetter: <T>(initialState: T) => [RN<T>, (v: T) => void, () => void];
